import Pagination from '..';
import React from 'react';
import ReactDOM from 'react-dom';
class Demo extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            current: 2,
        };
        this.handleChange = this.handleChange.bind(this);
    }
    handleChange(current) {
        this.setState({
            current,
        });
    }
    render() {
        return (React.createElement(Pagination, { current: this.state.current, onChange: this.handleChange }));
    }
}
ReactDOM.render(React.createElement(Demo, null), document.getElementById('pagination-demo-2'));
